# Arguments and options for `design_coupler`

If`design_coupler` is run with the wrong number of arguments (there should be 3), it prints information on what it expects for its 3 arguments and the options available. .

    sparrow /export/home/davek/atlc/src/non_gui % design_coupler

    Usage: design_coupler [-d] -[e] [-q] [-s fstep] [-C] [-H height] [-L length] [-Z Zo] CF fmin fmax
    where:
         CF          is the coupling factor required in dB [10 log(P1/P2)]
         fmin        is the minimum frequency (MHz)
         fman        is the maximum frequency (MHz)
    Options are:
          -d           Calculate physical dimensions (takes a while).
          -e           Give lots of examples of usage.
          -q           Run in quite mode, giving less output.
          -s fstep     Set the analysis frequency step in MHz.
          -C           Print Copyright, Licencing and Distribution information.
          -H height    to set the height of the enclosure (defaults to 1 unit).
          -L length    to set the coupler length (m). Defaults to lambda/4.
          -Q           Run in very quite mode, giving just one line of output
          -Z Zo        Set the design impedance (default is 50 Ohms)
    coupled port 2 ************************************************ reflected port 3

    input port 1   ************************************************ output port 4
                   <--------------------L------------------------->
    Drive Port 1. The main power comes out from port 4. A fraction (set by the
    coupling factor) of the forward power comes from port 2. A fraction of the